local C, F, L = unpack(select(2, ...))

--- ----------------------------------------------------------------------------
--> Aura Filter		
--- ----------------------------------------------------------------------------
--> localizedClass, englishClass, classIndex = UnitClass("unit")
--> classIndex: 
--> None = 0, Warrior = 1, Paladin = 2, Hunter = 3, Rogue = 4, Priest = 5, 
--> DeathKnight = 6, Shaman = 7, Mage = 8, Warlock = 9, Monk = 10, Druid = 11,
--- ----------------------------------------------------------------------------
L.AuraFilter = {}
	
L.AuraFilter["WARRIOR"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --武器
		[1] = {
			{Spell = "772", Aura = "772", Unit = "target", Icon = "JumpJet",	Show = "show",}, --撕裂
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[2] = { --狂怒
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[3] = { --防护
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["PALADIN"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --神圣
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = { --防护
		[1] = {
			
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = { --惩戒
		[1] = {
			{Spell = "20271",	Aura = "",	Unit = "player",	Icon = "Resurrect",	Show = "show",}, --审判
			{Spell = "879",		Aura = "",	Unit = "player",	Icon = "Deadeye",	Show = "show",}, --驱邪术
			{Spell = "35395",	Aura = "",	Unit = "player",	Icon = "Charge",	Show = "show",}, --十字军打击
			{Spell = "24275",	Aura = "",	Unit = "player",	Icon = "Charge",	Show = "show",}, --愤怒之锤
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["HUNTER"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --野兽控制
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = { --射击
		[1] = {
			{Spell = "53209",	Aura = nil,		Unit = "player",	Icon = "ShadowStep",	Show = "show",}, --奇美拉射击
			{Spell = "120360",	Aura = nil,		Unit = "player",	Icon = "ScatterArrow",	Show = "show",}, --弹幕射击
			{Spell = "109306",	Aura = "34720",	Unit = "player",	Icon = "SonicArrow",	Show = "show",}, --狩猎刺激
			{Spell = "53351",	Aura = nil, 	Unit = "player",	Icon = "Deadeye",		Show = "show",}, --夺命射击
			{Spell = "3045",	Aura = "3045",	Unit = "player",	Icon = "Blink",			Show = "show",}, --急速射击
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = { --生存
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["ROGUE"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --刺杀
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = { --战斗
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = { --敏锐
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["PRIEST"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --戒律
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = { --神圣
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = { --暗影
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["DEATHKNIGHT"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --鲜血
		[1] = {
			
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = { --冰霜
		[1] = {
			{Spell = "155159",	Aura = "155159",	Unit = "target",	Icon = "Deadeye",			Show = "show",}, --死疽
			{Spell = "",		Aura = "55095",		Unit = "target",	Icon = "GravitonSurge",		Show = "hide",}, --冰霜疫病
			{Spell = "",		Aura = "55078",		Unit = "target",	Icon = "DeathBlossom",		Show = "hide",}, --血之疫病
			{Spell = "130736",	Aura = "130735",	Unit = "target",	Icon = "PulseBomb",			Show = "show",}, --灵魂收割
			{Spell = "45529",	Aura = "114851",	Unit = "player",	Icon = "ProjectedBarrier",	Show = "show",}, --活力分流
			{Spell = "77575",	Aura = "",			Unit = "player",	Icon = "WraithForm",		Show = "show",}, --爆发
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[3] = { --邪恶
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["SHAMAN"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = {
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = {
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = {
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["MAGE"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { -->奥术
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[2] = { -->火焰
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[3] = { -->冰霜
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["WARLOCK"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = { --痛苦
		[1] = {
			{Spell = "146739", Aura = "146739", Unit = "target", Icon = "JumpJet",			Show = "show",}, --腐蚀术
			{Spell = nil,      Aura = "980",    Unit = "target", Icon = "ShadowStep",		Show = "show",}, --痛楚
			{Spell = nil,      Aura = "30108",  Unit = "target", Icon = "WraithForm",		Show = "show",}, --痛苦无常
			{Spell = nil,      Aura = "48181",  Unit = "target", Icon = "DeathBlossom",		Show = "show",}, --鬼影缠身
			{Spell = "113860", Aura = "113860", Unit = "player", Icon = "GuardianAngel",	Show = "show",}, --黑暗灵魂：哀难
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[2] = { --恶魔学识
		[1] = {
			{Spell = nil,      Aura = "47960", Unit = "target", Icon = "JumpJet",	Show = "show",}, --古尔丹之手
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = { --毁灭
		[1] = {
			{Spell = nil,      Aura = "157736", Unit = "target", Icon = "JumpJet",			Show = "show",}, --献祭
			{Spell = nil,      Aura = "117828", Unit = "player", Icon = "Blink",			Show = "show",}, --爆燃
			{Spell = "17962",  Aura = nil,      Unit = nil,      Icon = "Flashbang",		Show = "show",}, --燃烧
			{Spell = "113858", Aura = "113858", Unit = "player", Icon = "GuardianAngel",	Show = "show",}, --黑暗灵魂：易爆
			{Spell = "120451", Aura = nil,      Unit = nil,      Icon = "Resurrect",		Show = "show",}, --克索诺斯之焰
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["MONK"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = {	--酒仙
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = {	--织雾
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[3] = {	--风行
		[1] = {
			{Spell = nil,      Aura = "116740", Unit = "player", Icon = "Blink",			Show = "show",}, --虎眼酒
			{Spell = "117418", Aura = nil,      Unit = nil,      Icon = "ScatterArrow",		Show = "show",}, --怒雷破
			{Spell = "107428", Aura = nil,      Unit = nil,      Icon = "FireStrike",		Show = "show",}, --旭日东升踢
			{Spell = nil,      Aura = "125359", Unit = "player", Icon = "GuardianAngel",	Show = "show",}, --猛虎之力
			{Spell = "116705", Aura = nil     , Unit = nil,      Icon = "Recall",			Show = "show",}, --切喉手
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
}

L.AuraFilter["DRUID"] = {
	[0] = { 
		[1] = {
			
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[1] = {	--平衡
		[1] = {
			{Spell = nil,      Aura = "164812", Unit = "target", Icon = "OrbofDiscord",		Show = "show",}, --月火术
			{Spell = nil,      Aura = "164815", Unit = "target", Icon = "OrbofHarmony",		Show = "show",}, --阳炎术
			{Spell = "112071", Aura = "112071", Unit = "Player", Icon = "ConcussiveBlast",	Show = "show",}, --超凡之盟
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
	[2] = {	--野性
		[1] = {
			{Spell = nil,      Aura = "155722", Unit = "target", Icon = "Flashbang",		Show = "show",}, --斜掠
			{Spell = nil,      Aura = "1079",   Unit = "target", Icon = "Recall",			Show = "show",}, --割裂
			{Spell = "5217",   Aura = "5217",   Unit = "player", Icon = "Blink",			Show = "show",}, --猛虎之怒
			{Spell = "106952", Aura = "106951", Unit = "player", Icon = "ConcussiveBlast",	Show = "show",}, --狂暴
			{Spell = "106839", Aura = nil,      Unit = nil,      Icon = "FireStrike",		Show = "show",}, --迎头痛击
			{Spell = nil,      Aura = "127538", Unit = "player", Icon = "GuardianAngel",	Show = "show",}, --野蛮咆哮
		},
		[2] = {
			
		},
		[3] = {
			
		},
	},
	[3] = {	--守护
		[1] = {
			{Spell = nil,      Aura = "77758",  Unit = "target", Icon = "ScatterArrow",		Show = "show",}, --痛击
			{Spell = "6807",   Aura = nil,      Unit = nil,      Icon = "SonicArrow",		Show = "show",}, --重殴
			{Spell = "33917",  Aura = nil,      Unit = nil,      Icon = "Recall",			Show = "show",}, --裂伤
			{Spell = "106952", Aura = "106951", Unit = "player", Icon = "ConcussiveBlast",	Show = "show",}, --狂暴
			{Spell = "106839", Aura = nil,      Unit = nil,      Icon = "FireStrike",		Show = "show",}, --迎头痛击
		},
		[2] = {
			
		},	
		[3] = {
			
		},
	},
	[4] = {	--恢复
		[1] = {
		
		},
		[2] = {
		
		},
		[3] = {
			
		},
	},
}